# Uses of Class
it.tdlight.jni.TdApi.PremiumSource

## Uses of TdApi.PremiumSource in it.tdlight.jni

Subclasses of TdApi.PremiumSource in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.PremiumSourceFeature`
A user tried to use a Premium feature.
`static final class`
`TdApi.PremiumSourceLimitExceeded`
A limit was exceeded.
`static final class`
`TdApi.PremiumSourceLink`
A user opened an internal link of the type internalLinkTypePremiumFeatures.
`static final class`
`TdApi.PremiumSourceSettings`
A user opened the Premium features screen from settings.
`static final class`
`TdApi.PremiumSourceStoryFeature`
A user tried to use a Premium story feature.
Fields in it.tdlight.jni declared as TdApi.PremiumSource
Modifier and Type
Field
Description
`TdApi.PremiumSource`
TdApi.GetPremiumFeatures.`source`
Source of the request; pass null if the method is called from some non-standard source.
Constructors in it.tdlight.jni with parameters of type TdApi.PremiumSource
Modifier
Constructor
Description
``
`GetPremiumFeatures(TdApi.PremiumSource source)`
Returns information about features, available to Premium users.